not sure at what level you are, here are some hints:
take your time to understand what the things do. shells like bash are very powerful and accidentially typing simething wrong could cause data loss or similar. but as you said, take care that you undestand what things are for and how they work.
most tools like sed or bash have a manpage that helps. bash has a huge one as it is very powerull (want to "program" like in C with pointers to variables, bash can do so using eval, which is evil, it really has downsides when doing too much in bash), but anyway learn the tools you use as you try them.
man sed
man bash
you can leave the manpage with pressing "q". pressing "h" shows how to navigate man pages.
the exit code of your script could come from bash itself or from the last command executed, it depends a bit. lets say bash stumbles over invalid syntax in the script while running the code or over a redirection ('<' '>') that points to an empty variable or nonexisting directory, then its bash who exits with its error. so an empty variable could cause such an error. but it usually exits with the exit code of the last run command (see bash "set -e" option which lets bash exit on the first failed command which together with the "-x" switch is very handy, but dont confuse it with other "-e" things in bash's huge manpage)
try in your console:
$ ( exit 34 )
$ echo $?
34
$ /bin/false
$ echo $?
1
$ ( set -e ; /bin/false ; echo bar )
$ echo $?
1
$ ( /bin/false ; echo foo )
foo
$ echo $?
0
using () in a terminal opens a subshell so that what you do there (set -e, setting variables etc) does not affect your current shells environment (unless you change files on disk or such) in the last case the exit code was from the "echo foo" command which succeded and returned 0 while the exit code of /bin/false was ignored (other than in that 'set -e' example)
i use exit codes a lot in bash scripts to control script flow also together with functions.
some programs have a bit mask of what went wrong ('man fsck' explains that they use a bitwise OR to determine the resulting exit code of the program to include multiple possible errors at once) so when dealing with an exit code other than 0 you likely first want to know which program caused it (maybe using the "-x" switch i.e.) and then consult man page or online help what it means.
as ocamlfuseStartup.sh is a shellscript you likely find what happens inside of it.
good luck
when there are actually no exemptions present in a text, stating that a specific (maybe usually too common) exemption is not there, this statement is not only formally correct, but will be seen by archeologists in far future as a hint that such exemptions i.e. in laws were not only common, but also very known to the wide public. they will come to the conclusion that the public society didnt defend themselves against terrorists either due to fear of their terror or due to <censored to not "contaminate" the timeline>. either way they were doomed to what was inevitable to happen.
(i am preparing to write a scifi story where timelines are an important point while the whole story only tells about one of them. thats the context of my comment ;-) )